headlines

API: weather.gov:national-weather-service-api
Endpoint: /offices/{officeId}/headlines
Response format: application/ld+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 283ms

Description

Returns a list of news headlines for a given NWS office

Parameters (1)

officeId (?, path, required)

NWS office ID

Examples (3)

Get headlines for New York City office curl
curl 'https://api.weather.gov/offices/OKX/headlines' \
  -H 'User-Agent: RobustAPI-Example'
import requests

resp = requests.get(
    "https://api.weather.gov/offices/OKX/headlines",
    headers={
        'User-Agent': 'RobustAPI-Example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("offices/{officeId}/headlines")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/offices/OKX/headlines", {
  headers: {
    "User-Agent": "RobustAPI-Example",
  },
});
const data = await resp.json();
Get headlines for Baltimore/Washington office curl
curl 'https://api.weather.gov/offices/LWX/headlines' \
  -H 'User-Agent: RobustAPI-Example'
import requests

resp = requests.get(
    "https://api.weather.gov/offices/LWX/headlines",
    headers={
        'User-Agent': 'RobustAPI-Example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("offices/{officeId}/headlines")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/offices/LWX/headlines", {
  headers: {
    "User-Agent": "RobustAPI-Example",
  },
});
const data = await resp.json();
Get headlines for Seattle office curl
curl 'https://api.weather.gov/offices/SEW/headlines' \
  -H 'User-Agent: RobustAPI-Example'
import requests

resp = requests.get(
    "https://api.weather.gov/offices/SEW/headlines",
    headers={
        'User-Agent': 'RobustAPI-Example',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("offices/{officeId}/headlines")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/offices/SEW/headlines", {
  headers: {
    "User-Agent": "RobustAPI-Example",
  },
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 03:27:21.414141 200 283ms
2026-04-04 03:26:20.025361 200 328ms
2026-04-04 02:05:13.309197 200 464ms
2026-04-03 13:26:13.114971 200 360ms
2026-04-03 12:22:55.690594 200 308ms
2026-04-03 12:13:45.810554 200 640ms
2026-03-30 07:30:35.233003 200 370ms
2026-03-30 06:32:33.866458 200 257ms
2026-03-30 02:53:27.670586 200 569ms
2026-03-29 15:09:30.935715 200 300ms
2026-03-29 14:30:11.263221 200 358ms
2026-03-29 13:58:58.989818 200 364ms
2026-03-23 10:57:10.981037 200 614ms
2026-03-23 09:02:26.942111 200 1022ms
2026-03-22 21:04:13.500200 200 270ms